Subject: Re: [Diffserv] MIB-07 comments on Shapers

From: Steve Blake <[email-masked]>
Date: Wed, 14 Feb 2001 18:55:46 -0500

Kwok-Ho Chan wrote:

> The current diffServSchdParamEntry does NOT have BurstSize.
> diffServSchedulerSpecific is used to reference either diffServSchdParamEntry
> OR diffServTBParamEntry, but NOT BOTH at the same time.
> 
> 
> Options:
> 1. Add BurstSize to diffServSchdParamEntry for Shaping.

Ugly.

> 2. Don't use BurstSize for Shaping.

Not acceptable.

> In both options 1 and 2 diffServSchdParamEntry can be used,
> using diffServSchdParamMaxRate as PeakRate
> and diffServSchdParamMinRate as CommittedRate.
> 3. Continue to use the cascading scheduler for multi-rate shaping.
>     Acceptable complexity?

I need to be able to represent a RFC 2122-style shaper in the MIB
(see pg. 10).  Please explain how to do this assuming option 3.

Regards,

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Steven L. Blake               <[email-masked]>
Ericsson IP Infrastructure                  (919)472-9913

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Fred Baker <[email-masked]>
Date: Wed, 14 Feb 2001 16:56:12 -0800

>(see pg. 10).  Please explain how to do this assuming option 3.

2122 VEMMI URL Specification. D. Mavrakis, H. Layec, K. Kartmann.
      March 1997. (Format: TXT=25043 bytes) (Status: PROPOSED STANDARD)

RFC 2122                VEMMI URL Specification               March 1997

            Mr. Kurt Kartmann
            Consulting
            Telecommunication+Multimedia
            Gabelsbergerstr. 2
            D-64807 DIEBURG
            GERMANY
            EMail: [email-masked]
            Tel: (+49) 6071 1528
            c/o Deutsche Telekom AG
            Tel. (+49)6151 834965, Fax (+49) 6151 834284

    The authors thank the other members of the ETSI TE1 VEMMI Working
    Group for their comments:

       - Michael Blaschitz ([email-masked])
       - Agnelo Fernandes ([email-masked])
       - Daniel Allonsius ([email-masked])
       - Stefaan Herrebout ([email-masked])
       - Francisca Oliva ([email-masked])
       - Herwart Wermescher ([email-masked])

11) References:

    [1] "Enhanced Man-Machine Interface for Videotex and
        Multimedia/Hypermedia Information Retrieval Services (VEMMI
        revision 1)", ETS 300 709 standard (European Telecommunications
        Standards Institute), September 1996.
        This document is available on the Web in HTML format: see
        http://www.etsi.fr/ecs/projects/vemmi/vemmi.htm

    [2] "Enhanced Man-Machine Interface for Videotex and Other
        Information Retrieval Services (VEMMI)", ITU-T T.107 standard
        (International Telecommunications Union), March 1995.

    [3] "Videotex Enhanced Man-Machine Interface service (VEMMI)",
        ETS 300 382 standard (European Telecommunications Standards
        Institute), February 1995.

    [4] Fielding, R., "Relative Uniform Resource Locators", RFC 1808, UC
        Irvine, June 1995.

    [5] Berners-Lee, T., Masinter, L., and M. McCahill, "Uniform Resource
        Locators (URL)", RFC 1738, December 1994.

    [6] Reynolds, J., and J. Postel, "Assigned Numbers", STD 2, RFC 1700,
        October 1994.

Mavrakis, et. al.           Standards Track                    [Page 10]

---

From: Steve Blake <[email-masked]>
Date: Wed, 14 Feb 2001 23:31:10 -0500

Kwok-Ho Chan wrote:

> I think this has been discussed earlier and dicision was made to not use
> DscpMask.

I just grepped the last 1.5 years of the Diffserv mailing list archive
and only found one reference to this (negative, as it were).  Do you
have more recollection as to when this was previously discussed?

Regards,

---

From: Fred Baker <[email-masked]>
Date: Wed, 14 Feb 2001 21:55:28 -0800

>have more recollection as to when this was previously discussed?

The reason is architectural. The DSCP is a code point, not a bit mask.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 15 Feb 2001 06:32:05 -0600

> The reason is architectural. The DSCP is a code point, not a bit mask.

Correct.

   Brian